import request from '@/utils/request'

// 查询cps_meeting_enterprise_trip_info与会企业行程信息列表
export function listEnterpriseTripInfo(query) {
  return request({
    url: '/cp/enterpriseTripInfo/list',
    method: 'get',
    params: query
  })
}

// 查询cps_meeting_enterprise_trip_info与会企业行程信息详细
export function getEnterpriseTripInfo(id) {
  return request({
    url: '/cp/enterpriseTripInfo/' + id,
    method: 'get'
  })
}

// 新增cps_meeting_enterprise_trip_info与会企业行程信息
export function addEnterpriseTripInfo(data) {
  return request({
    url: '/cp/enterpriseTripInfo',
    method: 'post',
    data: data
  })
}

// 修改cps_meeting_enterprise_trip_info与会企业行程信息
export function updateEnterpriseTripInfo(data) {
  return request({
    url: '/cp/enterpriseTripInfo',
    method: 'put',
    data: data
  })
}

// 删除cps_meeting_enterprise_trip_info与会企业行程信息
export function delEnterpriseTripInfo(id) {
  return request({
    url: '/cp/enterpriseTripInfo/' + id,
    method: 'delete'
  })
}
